Skip to main content
GET
/
campaigns
/
{campaignId}
/
creativeManifest
List creative manifests
curl --request GET \
  --url https://api.interchange.io/api/v2/buyer/campaigns/{campaignId}/creativeManifest \
  --header 'Authorization: Bearer <token>'
{
  "manifests": [
    {
      "creative_id": "<string>",
      "campaign_id": "<string>",
      "name": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "asset_count": 3,
      "format_id": {
        "id": "<string>",
        "agent_url": "<string>",
        "width": 123,
        "height": 123,
        "duration_ms": 123
      },
      "template_id": "<string>",
      "brand_domain": "<string>",
      "preview_url": "<string>",
      "sync_status": {
        "synced": true,
        "agent_count": 0
      }
    }
  ],
  "total": 4503599627370495
}

Documentation Index

Fetch the complete documentation index at: https://docs.interchange.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

campaignId
string
required

Campaign ID

Minimum string length: 1

Query Parameters

Search by name

Maximum string length: 200
take
integer
default:50

Number of results to return (max 250)

Required range: x <= 250
Example:

50

skip
integer
default:0

Number of results to skip for pagination

Required range: 0 <= x <= 9007199254740991
Example:

0

Response

List creative manifests

Paginated list of creative manifest summaries

manifests
object[]
required

Manifests projected to the summary shape. Use get_creative for full detail.

total
integer
required
Required range: 0 <= x <= 9007199254740991